package type;
final public class DateHolder
	implements org.omg.CORBA.portable.Streamable
{
	public type.Date value;

	public DateHolder ()
	{
	}
	public DateHolder (type.Date initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return type.DateHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = type.DateHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		type.DateHelper.write(_out,value);
	}
}
